package com.flossom.common.core.enums;

/**
 * 系统设置-key 枚举
 */
public enum SystemSettingKeyEnum {
    USER_AGREEMENT("USER_AGREEMENT", "用户协议"),
    PRIVACY_AGREEMENT("PRIVACY_AGREEMENT", "隐私协议"),
    INTEGRAL_RULE("INTEGRAL_RULE", "积分规则"),
    ABOUT_US("ABOUT_US", "关于我们"),
    BLUETOOTH_GUIDANCE_PERMISSIONS("BLUETOOTH_GUIDANCE_PERMISSIONS", "蓝牙指引权限"),
    LOCATION_GUIDANCE_PERMISSIONS("LOCATION_GUIDANCE_PERMISSIONS", "定位指引权限"),
    CONTACT_WORKER("CONTACT_WORKER", "联系客服");

    private final String key;
    private final String remark;

    SystemSettingKeyEnum(String key, String remark) {
        this.key = key;
        this.remark = remark;
    }

    public String getKey() {
        return key;
    }

    public String getRemark() {
        return remark;
    }
}
